% Speech & Signal Enhancement Toolbox 
% 
% Version 1.01  Nov 10, 2005
% 
% Data generation tools.
%   siggen      - Generating signal from autocorrelation r, noise and etc.

% Baseline Signal Enhancement Functions
%   spec_sub    - Spectral Subtraction
% 	specsub     - Spectral Subtraction with smoothing parameters
% 	logstsa     - Ephraim-Malah Log-Spectral Amplitude Filter
% 	
% Wiener Filtering
% 	iwf         - Constrained Iterative Wiener filter
%
% Wavelet Denoising
%   wden        - Wavelet Denoising
%
% Objective Speech Quality Measurement
% 	snr         - General Signal-to-Noise Ratio
% 	
% Misc Functions
% 	autocorr    - Autocorrelation function, used in Wiener filtering, iwf.m
% 	durbin      - Calculates LPC, used in Wiener filtering, iwf.m
% 	ei          - Exponential integral, used in Ephraim-Malah, logstsa.m
% 	p           - Positive function, used in Ephraim-Malah, logstsa.m
%   rfft        - real FFT, used in specsub.m
%   irfft       - real IFFT, used in specsub.m
%   wavedec     - wavelet decomposition, used in sounddemo.m
%
% DEMO
%   SoundDemo   - Animal Sound demo