
function enhance(type)
global x
global Fs
global bits
global fnamep
global pth0
global fname0

[pth,fname] = dialogopen('save','*.wav');
 if ((~isstr(fname)) | ~min(size(fname))), return; end	
 fnamep =[pth,fname];
 pth0 = pth;
 fname0 = fname;

% Alan Chan
% Jan 30, 2005 
%
%
%
% Load the default parameters

defaultparam;



% [C,L]=wavedec(x, 1,'db3'); %  wavelet decomposition
% wd=wden(C,L,'sqtwolog','s','mln',1,'db3'); % Wavelet Denoising Bird

% Spectral subtraction with smoothing parameters
if strcmp(type,'ss1')

    ss=spec_sub(x,L,nf1);
    wavwrite(ss,Fs,bits,fnamep);
end

% Ephraim Malah log-spectral amplitude filtering
if strcmp(type,'em1')
    em=logstsa(x,L, nf1, smfactor);
    wavwrite(em,Fs,bits,fnamep);
end

% Iterative Wiener filtering
if strcmp(type,'wf1')
       
    wf =  iwf(x,Fs,L,inum, Adb, NP, Pr, GMin, nf1);
    wavwrite(wf,Fs,bits,fnamep);
    
end



% Wavelet Denoising
if strcmp(type,'wd1')
    [C,L]=wavedec(x,3,'db1'); %  wavelet decomposition
% wd=wden(C,L,'rigrsure','s','mln',3,'db1'); % Wavelet Denoising
    wd=wden(C,L,'sqtwolog','s','mln',3,'db1'); % Wavelet Denoising elephant
    wavwrite(wd,Fs,bits,fnamep);
end

% bandpass digital filtering 
if strcmp(type,'bpf1')
    Fn=Fs/2; % Nyquist frequency
    % bandpass digital filtering
    Wp1 = [bpf1 bpf2]/Fn; Ws1 = [bpf3 bpf4]/Fn;
    Rp1 = 3; Rs1 = 40;
    
    
    [n,Wn] = ellipord(Wp1,Ws1,Rp1,Rs1);
    [b,a] = ellip(n,Rp1,Rs1,Wn);
    y = filtfilt(b,a,x);           % Noncausal filtering
    wavwrite(y,Fs,bits,fnamep);
end

% lowpass digital filtering 
if strcmp(type,'lpf1')
    Fn=Fs/2; % Nyquist frequency
    Wp2 = lpf1/Fn; Ws2 = lpf2/Fn;
    Rp2 = 3; Rs2 = 40;
        

    [n,Wn] = ellipord(Wp2,Ws2,Rp2,Rs2);
    [b,a] = ellip(n,Rp2,Rs2,Wn);
    y = filtfilt(b,a,x);           % Noncausal filtering
    wavwrite(y,Fs,bits,fnamep);
end

LOAD2FILE('stack', pth0, fname0);
  
    

