function a=durbin(R)
% function a=durbin(R)
% calculate the linear predictive coefficients a, 
% from autocorrelation lags R.
%
% Written by: Levent Arslan            June 5, 1993
% Modified by Jidong Tao               August 2004
P = max(size(R))-1;
a = ones(P,1);
E(1)=R(1);
for i=1:P
    for j=1:i-1
      a_past(j)=a(j);
    end
    sum_term=0;
    for j=1:i-1
        sum_term = sum_term + a_past(j)*R(i-j+1); 
    end
    k(i) = (R(i+1) - sum_term) / E(i);
    a(i) = k(i);
    for j=1:i-1
        a(j) = a_past(j) - k(i)*a_past(i-j);
    end

    E(i+1) = (1-k(i)^2)*E(i);
%    disp(sprintf('%f %f %f',a(i),k(i),E(i+1)));
end