function y=rfft(x,n,d)
%RFFT     FFT of real data Y=(X,N)
% Data is truncated/padded to length N if specified.
%   N even:	(N+2)/2 points are returned with
% 			the first and last being real
%   N odd:	(N+1)/2 points are returned with the
% 			first being real

s=size(x);
if prod(s)==1
    y=x
else
    if nargin <3
        d=find(s>1);
        d=d(1);
        if nargin<2
            n=[];
        end
    end
    y=fft(x,n,d);
    y=reshape(y,prod(s(1:d-1)),s(d),prod(s(d+1:end))); 
    s(d)=1+fix(s(d)/2);
    y(:,s(d)+1:end,:)=[];
    y=reshape(y,s);
end